wreport::tests::TestMethod Struct Reference

Test method information. More...

`#include <tests.h>`

## Public Member Functions

| TestMethod (const std::string &name)
| TestMethod (const std::string &name, std::function< void()> test_function)

## Data Fields

std::string | name
| Name of the test method.
std::string | doc
| Documentation attached to this test method.
std::function< void()> | test_function
| Main body of the test method.

## Detailed Description

Test method information.

## Field Documentation

## test_function

std::function<void()> wreport::tests::TestMethod::test_function

Main body of the test method.

If nullptr, the test will be skipped.

The documentation for this struct was generated from the following file:

- utils/tests.h